# READ AN ASCII FILE WITH A REGULAR GRID SURFACE ( ADD A ARROW FIELD  AND CREATE A GIF FILE)
#===========================================================================================
verbose

send_set_verbose

set_workpace_geometry PlaneWidth=1024 PlaneHeight=1024  DataType=0 CellWidth=1024 CellHeight=1024

send_show_view ViewPlane=3

send_clear_area Plane=-1 X=0 Y=0 Width=768 Height=768

send_color_scale_name "RAINBOW4"

send_read_ascii RegularGrid Plane=-1 X= 0 Y=0 Width=512 Height=768  \
		ColumsNumber=0 LinesNumber=0 LinesToSkip=25 UndefValue=-8421 DistanceFactor= 1\
		NearestPixelInterpolation=No \
		FileName="../IMAGES/SURFACE_REG50x50"

send_read_ascii ArrowField  X=0 Y=0 Width=512 Height=768\
                 Xmini=-10 Xmaxi= 10 Ymini= -10 Ymaxi= 10 ArrowFactor=.8 LenghtFactor=.6 \
                 Thickness= 1 Color= "WHITE"  Style= "SOLID" \
                  FileName="../IMAGES/961101.vent.pas01.LatLon"

send_create_file ViewPlane=-1 X=0 Y=0 Width=512 Height=768 FileFormat="GIF" \
         FileName="ASCII_REG_SURFACE.gif"
