      integer T_CHAR,T_USHORT,T_SHORT,T_INT,T_FLOAT,T_SCHAR,T_UINT
      integer size,FALSE,TRUE
      parameter (T_CHAR=0,T_USHORT=1,T_SHORT=2,T_INT=3,
     *           T_FLOAT=4,T_SCHAR=5,T_UINT=6)
      parameter (size=512)
      character image(size,size)
      integer * 2 r(256),g(256),b(256)
      data FALSE,TRUE/0,1/

c COMPUTE IMAGE
      n = 0
      x = 12.0 / size
      y = 6.0 / size
      do i=1,size
      do j=1,size
      ii = sin(( j * x - 6.0)/( i * y - 3.0 + 0.01))*256
      image(j,i) = char(ii)
      n = n + 1
      enddo
      enddo

C  SEND TO MSPHINX
      call send_set_verbose_f()

      call set_project_f("DRAW.prj",FALSE,FALSE)

      call set_view_planes_f(1,1,2,3)

      call set_workpace_geometry_f(1024,1024,0,512,512)

      call send_show_view_f(3)

      call send_clear_all_f(-1,0,0,800,800)

      call send_image_f(-1,0,0,size,size,T_CHAR,image)

      call send_enhance_f(-1,0,0,size,size,0,10.0,220.0)

      call send_color_scale_name_f("GREY")

      call send_draw_scale_f(-1,0,600,512,100,0,255)
      call send_draw_box_f(0,600,512,700,2,"SOLID","Red")
      call send_draw_scale_f(-1,600,0,100,512,0,255)
      call send_draw_box_f(600,0,700,512,2,"SOLID","Red")

      call send_draw_line_f(50,50,300,300,8,"SOLID","BLUE")
      call send_draw_box_f(0,0,512,512,4,"SOLID","CYAN")
      call send_draw_arrow_f(0,100,200,250,4,10.0,"SOLID","RED")
      call send_draw_arrow_f(0,100,200,350,4,20.0,"SOLID","GREEN")

      call send_draw_text_f(50,10,0,2.0,0.0,0,"Georgiab.ttf",
     *"RED","TRANSPARENT","CECI EST UN SIMPLE TEST")
      call send_draw_text_f(50,550,0,2.0,0.0,0,"Vladimir.ttf",
     *"YELLOW","RED","ECRITURE DIRECTE")

      call send_draw_icon_f(250,150,"Circle",1.0,"YELLOW")
      call send_draw_icon_text_f(250,250,"Circle",1.0,"RED",
     *2,4.0,20.0,0,"Georgiab.ttf","MAGENTA","White","CIRCLE")

      call send_create_file_f(-1,0,0,700,700,700,700,
     *"TIF","MYFILEFOR.tif",90)

      call send_unset_verbose_f()
      stop
      end
