#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>

#define TRUE        1
#define FALSE       0

#define T_CHAR   0
#define T_USHORT 1
#define T_SHORT  2
#define T_INT    3
#define T_FLOAT  4

main(argc, argv)
int      argc;
char    **argv;
{ 
float paramTo[10] = { 0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0};
  /* send set project */
	set_project("LABEL_PROJ",TRUE,FALSE);
  /* destroy existing data */
	send_destroy_all_data();
  /* send set work space */
	set_workpace_geometry(1000,500,0,1000,500);
  /* read an image*/
   	send_read_other(1,0,0,1000,500,FALSE,"../IMAGES/LINEAR_MAYFEB256.tif");
  /* send geometry */
        set_projection_to_geometry (0,0,1000,500,"LINEAR",-90.0,90.0,-180.0,180.0,paramTo);
  /* draw map */
	send_world_map("GREEN",FALSE,1,1);
  /* draw grid */
	send_grids(-90.0,90.0,30.0,-180.0,180.0,30.0,"RED",FALSE,1);
  /* draw labels */
	send_draw_latitude_labels("Black","Transparent",0,"%.0f","Bell.ttf",1.0,0.0,
                        0.0,-90.0,90.0,30.0);
	send_draw_longitude_labels("Black","Transparent",0,"%.0f","Bell.ttf",1.0,0.0,
                        0.0,-180.0,180.0,30.0);
}
