#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>

#define TRUE        1
#define FALSE       0

#define T_INT    3
float paramF[] = {0.0,0.0,0.0, 0.0,0.0,0.0, 0.0};
float paramT[] = {0.0,0.0,0.0, 0.0,0.0,0.0, 0.0};

main(argc, argv)
int      argc;
char    **argv;
{
  int *imagei;
  int size,w=512,h=256,i,j,n,xp=0,yp=0;
  float x,y,f;

  int xf=0,yf=0,widthf=512,heighf=256,planef=-1,typef;
  int xt=0,yt=256,widtht=512,height=256,planet=-1,typet;
  float ymif=-90,ymaf=90,xmif=-180,xmaf=180;
  /*float ymit=0,ymat=3240,xmit=0,xmat=6480;*/
  float ymit=-90,ymat=90,xmit=-180,xmat=180;
  float ymi=-90,yma=90,ystep=10,xmi=-180,xma=180,xstep=10;

  send_clear_all(-1,0,0,1024,1024);

  size = w * h;
  imagei = (int *) malloc( size * 4);
  n = 0;
  x = 12.0 / w;
  y = 6.0 / h;
  for (i=0;i<h;i++){
  for (j=0;j<w;j++){
  f = sin((double)( j * x - 6.0)/( i * y - 3.0 + 0.01));
  *(imagei + i * w + j ) = (int) (f * 10000);
  n++;
  }}

  printf(" %d %d : Send image INT\n",xp,yp);
  send_image(-1,xp,yp,w,h,T_INT,imagei);
  free(imagei);

  set_projection_to_geometry(xt,yt,widtht,height,"LINEAR",
			ymit,ymat,xmit,xmat,paramT);
  printf("Send draw LINEAR grids\n");
  send_grids(ymi,yma,ystep,xmi,xma,xstep,"BLUE",0,1);

  printf("Send projection\n");
  paramT[3] = -120; /*center longitude shift*/
  set_projection_to_geometry(xt,yt,widtht,height,"SINUSOIDAL",
			ymit,ymat,xmit,xmat,paramT);

  send_projection(FALSE,planet,planef,xf,yf,widthf,heighf,"LINEAR",
		ymif,ymaf,xmif,xmaf,paramF);

  printf("Send draw SINUSOIDAL grids\n");
  send_grids(ymi,yma,ystep,xmi,xma,xstep,"RED",0);

  
  printf("Send draw SINUSOIDAL map\n");
  send_world_map("GREEN",0,1,1);
}
