       integer TRUE,FALSE
       integer  xf,yf,widthf,heighf,planef
       integer  xt,yt,widtht,height,planet
        real ymif,ymaf,xmif,xmaf
        real ymit,ymat,xmit,xmat
        real ymi,yma,ystep,xmi,xma,xstep
	real paramF(0:7),paramT(0:7)
	character*64 text
	data FALSE,TRUE /0,1/
c FROM geometry
        DATA xf,yf,widthf,heighf,planef / 0,0,1000,500,1/
	DATA ymif,ymaf,xmif,xmaf /-90,90,-180,180/
c TO geometry
        DATA xt,yt,widtht,height,planet / 0,0,1000,500,3/
	DATA ymit,ymat,xmit,xmat /-90,90,-180,180/

	data paramF /0.0,0.0,0.0, 0.0,0.0,0.0, 0.0,0.0/
        data paramT /0.0,0.0,0.0, 0.0,0.0,0.0, 0.0,0.0/
c GRID geometry
	data ymi,yma,ystep,xmi,xma,xstep / -90,90,5,-180,180,10/

  	call send_set_verbose_f()
  
c set planes geometry 
  	call set_workpace_geometry_f(1000,500,0,1000,500)

c show RED plane 
  	call send_show_view_f(1)
c read a TIF image
  	call send_read_other_f(1,xf,yf,widthf,heighf,FALSE,
     *  "../IMAGES/LINEAR_MAYFEB256.tif")
c copy COLOR LUT from RED plane to BLUE plane
  	call send_copy_lut_f(1,3)
c show BLUE plane 
  	call send_show_view_f(3)

  	call send_clear_all_f(planet,xt,yt,widtht,height)

  	paramT(3) = -120  !center longitude shift
c Set to projection JUST FOR GRIDS
  	call set_projection_to_geometry_f(xt,yt,widtht,height,"LINEAR",
     *  			ymit,ymat,xmit,xmat,paramT)
c  Send draw LINEAR grids
  	call send_grids_f(ymi,yma,ystep,xmi,xma,xstep,"BLUE",0,1)

c Set to projection 
  	call set_projection_to_geometry_f(xt,yt,widtht,height,
     *              "SINUSOIDAL",ymit,ymat,xmit,xmat,paramT)

c   Send SINUSOIDAL projection
  	call send_projection_f(FALSE,planet,planef,xf,yf,widthf,heighf,
     *	"LINEAR",ymif,ymaf,xmif,xmaf,paramF)

c Send draw SINUSOIDAL grids
  	 call send_grids_f(ymi,yma,ystep,xmi,xma,xstep,"RED",0,1)

c Send draw SINUSOIDAL map
  	call send_world_map_f("GREEN",0,1,1)
  	call send_unset_verbose_f()

	do i=-90,90,10
	x=i
	write(text,"(i4)") i
 	call send_draw_projected_text_f(0.0,x, 0,1.0,0.0,0,
     *     "Georgiab.ttf","YELLOW","TRANSPARENT",text)
 	enddo

	do i=-160,180,20
	x=i
	write(text,"(i4)") i
 	call send_draw_projected_text_f(x,0.0, 0,1.0,0.0,0,
     *	   "Georgiab.ttf","YELLOW","TRANSPARENT",text)
 	enddo
	stop
	end

