#  DRAW A SINUSOIDAL PROJECTION FROM A LINEAR IMAGE AND DRAW CITIES LOCATION AND NAME
#=====================================================================================
verbose

send_set_verbose

set_workpace_geometry PlaneWidth=1000 PlaneHeight=500  DataType=0 CellWidth=1000 CellHeight=500

send_show_view ViewPlane=1

send_read_other  Plane=1 X=0 Y=0 Width=0 Height=0 Expand=No    \
            FileName="../IMAGES/LINEAR_MAYFEB256.tif"

send_copy_lut  PlaneFrom=1 PlaneTo=3

send_show_view ViewPlane=3

send_clear_area Plane=3 X=0 Y=0 Width=1000 Height=500

set_projection_to_geometry XTo=0 YTo=0 WidthTo=1000 HeightTo=500 ProjectionTo="SINUSOIDAL"\
			   LatitudeMinTo=-90.0000 LatitudeMaxTo=90.0000 \
			   LongitudeMinTo=-180.0000 LongitudeMaxTo=180.0000  \
			   CenterLongitudeTO=-120.0000

send_projection PixelOverlap=No    PlaneTo=3 PlaneFrom=1 \
                XFrom=0 YFrom=0 WidthFrom=1000 HeightFrom=500 ProjectionFrom="LINEAR" \
                LatitudeMinFrom=-90.0000 LatitudeMaxFrom=90.0000 \
                LongitudeMinFrom=-180.0000 LongitudeMaxFrom=180.0000 


send_draw_projected_icon_text XTo= -99.731 YTo= 32.451 \
                         IconName="Circle" IconSize=.20 IconColor="RED" \
                         Border=0 ForegroundColor="WHITE"  \
                         BackgroundColor="TRANSPARENT" FontName="Georgia.ttf" \
			 SizeFactor=0.9 Rotation=0.0 Frame=No  \
                         Text="Abilene" 

verbose
send_unset_verbose

send_draw_projected_icon_text XTo= 138.583 YTo= -34.917  "Adelaide SA" 
send_draw_projected_icon_text XTo= -81.512 YTo= 41.083   "Akron" 
send_draw_projected_icon_text XTo= -73.750 YTo= 42.650   "Albany" 
send_draw_projected_icon_text XTo= -106.651 YTo= 35.084  "Albuquerque" 
send_draw_projected_icon_text XTo= -75.468 YTo= 40.603   "Allentown" 
send_draw_projected_icon_text XTo= -78.401 YTo= 40.515   "Altoona" 
send_draw_projected_icon_text XTo= -101.834 YTo= 35.208  "Amarillo" 
send_draw_projected_icon_text XTo= 4.900 YTo= 52.367     "Amsterdam" 
send_draw_projected_icon_text XTo= -149.983 YTo= 61.167  "Anchorage" 
send_draw_projected_icon_text XTo= -83.748 YTo= 42.283   "Ann Arbor" 
send_draw_projected_icon_text XTo= 4.406 YTo= 51.171     "Antwerp" 
send_draw_projected_icon_text XTo= -77.117 YTo= 38.867   "Arlington" 
send_draw_projected_icon_text XTo= -82.557 YTo= 35.595   "Asheville" 
send_draw_projected_icon_text XTo= -82.640 YTo= 38.477   "Ashland" 
send_draw_projected_icon_text XTo= 23.733 YTo= 37.967    "Athens" 
send_draw_projected_icon_text XTo= -84.394 YTo= 33.753   "Atlanta" 
send_draw_projected_icon_text XTo= -74.431 YTo= 39.359   "Atlantic City" 
send_draw_projected_icon_text XTo= -81.967 YTo= 33.472   "Augusta" 
send_draw_projected_icon_text XTo= -69.775 YTo= 44.315   "Augusta" 
send_draw_projected_icon_text XTo= -97.744 YTo= 30.269   "Austin" 
send_draw_projected_icon_text XTo= -119.022 YTo= 35.375  "Bakersfield" 
send_draw_projected_icon_text XTo= -76.612 YTo= 39.293   "Baltimore" 
send_draw_projected_icon_text XTo= 100.500 YTo= 13.733   "Bangkok" 
send_draw_projected_icon_text XTo= -68.772 YTo= 44.804   "Bangor" 
send_draw_projected_icon_text XTo= 2.150 YTo= 41.383     "Barcelona" 
send_draw_projected_icon_text XTo= -91.183 YTo= 30.449   "Baton Rouge" 
send_draw_projected_icon_text XTo= -85.180 YTo= 42.316   "Battle Creek" 
send_draw_projected_icon_text XTo= -83.887 YTo= 43.601   "Bay City" 
send_draw_projected_icon_text XTo= -94.103 YTo= 30.089   "Beaumont" 
send_draw_projected_icon_text XTo= 116.467 YTo= 39.900   "Beijing" 
send_draw_projected_icon_text XTo= -5.833 YTo= 54.583    "Belfast" 
send_draw_projected_icon_text XTo= -122.477 YTo= 48.759  "Bellingham" 
send_draw_projected_icon_text XTo= 115.815 YTo= -31.979  "Bentley WA" 
send_draw_projected_icon_text XTo= -122.271 YTo= 37.869  "Berkeley" 
send_draw_projected_icon_text XTo= 13.417 YTo= 52.533    "Berlin" 
send_draw_projected_icon_text XTo= -75.376 YTo= 40.621   "Bethlehem" 
send_draw_projected_icon_text XTo= -108.501 YTo= 45.783  "Billings" 
send_draw_projected_icon_text XTo= -88.883 YTo= 30.397   "Biloxi" 
send_draw_projected_icon_text XTo= -75.913 YTo= 42.101   "Binghamton" 
send_draw_projected_icon_text XTo= -86.810 YTo= 33.517   "Birmingham" 
send_draw_projected_icon_text XTo= -100.788 YTo= 46.806  "Bismarck" 
send_draw_projected_icon_text XTo= -88.993 YTo= 40.483   "Bloomington" 
send_draw_projected_icon_text XTo= -74.083 YTo= 4.633    "Bogota" 
send_draw_projected_icon_text XTo= -116.199 YTo= 43.619  "Boise" 
send_draw_projected_icon_text XTo= 72.851 YTo= 19.084    "Bombay" 
send_draw_projected_icon_text XTo= 7.100 YTo= 50.667     "Bonn" 
send_draw_projected_icon_text XTo= -71.057 YTo= 42.357   "Boston" 
send_draw_projected_icon_text XTo= -86.442 YTo= 36.995   "Bowling Green" 
send_draw_projected_icon_text XTo= 17.117 YTo= 48.167    "Bratislava" 
send_draw_projected_icon_text XTo= -72.563 YTo= 42.852   "Brattleboro" 
send_draw_projected_icon_text XTo= -73.189 YTo= 41.180   "Bridgeport" 
send_draw_projected_icon_text XTo= 153.000 YTo= -27.500  "Brisbane Qld" 
send_draw_projected_icon_text XTo= -71.024 YTo= 42.084   "Brockton" 
send_draw_projected_icon_text XTo= -97.499 YTo= 25.902   "Brownsville" 
send_draw_projected_icon_text XTo= 4.637 YTo= 50.839     "Brussels" 
send_draw_projected_icon_text XTo= 19.083 YTo= 47.500    "Budapest" 
send_draw_projected_icon_text XTo= -58.050 YTo= -34.567  "Buenos Aires" 
send_draw_projected_icon_text XTo= -78.873 YTo= 42.881   "Buffalo" 
send_draw_projected_icon_text XTo= -73.213 YTo= 44.476   "Burlington" 
send_draw_projected_icon_text XTo= -112.536 YTo= 46.018  "Butte" 
send_draw_projected_icon_text XTo= 31.050 YTo= 31.250    "Cairo" 
send_draw_projected_icon_text XTo= 0.100 YTo= 52.167     "Cambridge" 
send_draw_projected_icon_text XTo= -71.106 YTo= 42.367   "Cambridge" 
send_draw_projected_icon_text XTo= -75.121 YTo= 39.945   "Camden" 
send_draw_projected_icon_text XTo= 149.120 YTo= -35.240  "Canberra ACT" 
send_draw_projected_icon_text XTo= -81.377 YTo= 40.797   "Canton" 
send_draw_projected_icon_text XTo= 18.371 YTo= -33.933   "Capetown" 
send_draw_projected_icon_text XTo= -119.767 YTo= 39.167  "Carson City" 
send_draw_projected_icon_text XTo= -91.665 YTo= 41.967   "Cedar Rapids" 
send_draw_projected_icon_text XTo= -73.200 YTo= 40.790   "Central Islip" 
send_draw_projected_icon_text XTo= -88.247 YTo= 40.118   "Champaign" 
send_draw_projected_icon_text XTo= -79.931 YTo= 32.776   "Charleston" 
send_draw_projected_icon_text XTo= -81.631 YTo= 38.350   "Charleston" 
send_draw_projected_icon_text XTo= -80.846 YTo= 35.229   "Charlotte" 
send_draw_projected_icon_text XTo= -85.309 YTo= 35.045   "Chattanooga" 
send_draw_projected_icon_text XTo= -104.819 YTo= 41.136  "Cheyenne" 
send_draw_projected_icon_text XTo= -87.639 YTo= 41.874   "Chicago" 
send_draw_projected_icon_text XTo= -84.510 YTo= 39.102   "Cincinnatti" 
send_draw_projected_icon_text XTo= -81.697 YTo= 41.498   "Cleveland" 
send_draw_projected_icon_text XTo= 6.967 YTo= 50.883     "Cologne" 
send_draw_projected_icon_text XTo= -104.821 YTo= 38.835  "Colorado Springs" 
send_draw_projected_icon_text XTo= -92.329 YTo= 38.951   "Columbia" 
send_draw_projected_icon_text XTo= -81.033 YTo= 34.001   "Columbia" 
send_draw_projected_icon_text XTo= -84.990 YTo= 32.469   "Columbus" 
send_draw_projected_icon_text XTo= -83.005 YTo= 39.963   "Columbus" 
send_draw_projected_icon_text XTo= -71.540 YTo= 43.206   "Concord" 
send_draw_projected_icon_text XTo= -97.396 YTo= 27.797   "Corpus Christi" 
send_draw_projected_icon_text XTo= 25.150 YTo= 35.333    "Crete" 
send_draw_projected_icon_text XTo= -96.794 YTo= 32.786   "Dallas" 
send_draw_projected_icon_text XTo= -90.576 YTo= 41.522   "Davenport" 
send_draw_projected_icon_text XTo= -84.195 YTo= 39.759   "Dayton" 
send_draw_projected_icon_text XTo= -81.019 YTo= 29.212   "Daytona Beach" 
send_draw_projected_icon_text XTo= -88.946 YTo= 39.845   "Decatur" 
send_draw_projected_icon_text XTo= -104.989 YTo= 39.749  "Denver" 
send_draw_projected_icon_text XTo= -93.617 YTo= 41.587   "Des Moines" 
send_draw_projected_icon_text XTo= -83.049 YTo= 42.330   "Detroit" 
send_draw_projected_icon_text XTo= -100.019 YTo= 37.755  "Dodge City" 
send_draw_projected_icon_text XTo= -6.239 YTo= 53.316    "Dublin" 
send_draw_projected_icon_text XTo= -90.669 YTo= 42.499   "Dubuque" 
send_draw_projected_icon_text XTo= -92.107 YTo= 46.782   "Duluth" 
send_draw_projected_icon_text XTo= -78.912 YTo= 36.000   "Durham" 
send_draw_projected_icon_text XTo= -91.497 YTo= 44.809   "Eau Claire" 
send_draw_projected_icon_text XTo= -3.167 YTo= 55.917    "Edinburgh" 
send_draw_projected_icon_text XTo= -113.613 YTo= 53.563  "Edmonton Alberta" 
send_draw_projected_icon_text XTo= -106.486 YTo= 31.760  "El Paso" 
send_draw_projected_icon_text XTo= -74.216 YTo= 40.662   "Elizabeth" 
send_draw_projected_icon_text XTo= -97.876 YTo= 36.394   "Enid" 
send_draw_projected_icon_text XTo= -80.082 YTo= 42.121   "Erie" 
send_draw_projected_icon_text XTo= -123.092 YTo= 44.054  "Eugene" 
send_draw_projected_icon_text XTo= -124.163 YTo= 40.802  "Eureka" 
send_draw_projected_icon_text XTo= -87.573 YTo= 37.972   "Evansville" 
send_draw_projected_icon_text XTo= -71.155 YTo= 41.702   "Fall River" 
send_draw_projected_icon_text XTo= -96.788 YTo= 46.875   "Fargo" 
send_draw_projected_icon_text XTo= -111.652 YTo= 35.193  "Flagstaff" 
send_draw_projected_icon_text XTo= -83.692 YTo= 43.014   "Flint" 
send_draw_projected_icon_text XTo= -94.427 YTo= 35.386   "Fort Smith" 
send_draw_projected_icon_text XTo= -85.141 YTo= 41.072   "Fort Wayne" 
send_draw_projected_icon_text XTo= -97.329 YTo= 32.749   "Fort Worth" 
send_draw_projected_icon_text XTo= 8.400 YTo= 50.050     "Frankfurt" 
send_draw_projected_icon_text XTo= -119.786 YTo= 36.737  "Fresno" 
send_draw_projected_icon_text XTo= -86.011 YTo= 34.016   "Gadsden" 
verbose
send_draw_projected_icon_text XTo= -82.322 YTo= 29.649   "Gainesville" 
verbose
send_draw_projected_icon_text XTo= -108.742 YTo= 35.525  "Gallup" 
send_draw_projected_icon_text XTo= -94.795 YTo= 29.303   "Galveston" 
send_draw_projected_icon_text XTo= -87.339 YTo= 41.603   "Gary" 
send_draw_projected_icon_text XTo= 6.100 YTo= 46.233     "Geneva" 
send_draw_projected_icon_text XTo= -108.565 YTo= 39.068  "Grand Junction" 
send_draw_projected_icon_text XTo= -85.670 YTo= 42.967   "Grand Rapids" 
send_draw_projected_icon_text XTo= -111.306 YTo= 47.493  "Great Falls" 
send_draw_projected_icon_text XTo= -88.014 YTo= 44.513   "Green Bay" 
send_draw_projected_icon_text XTo= -79.790 YTo= 36.071   "Greensboro" 
send_draw_projected_icon_text XTo= -82.400 YTo= 34.847   "Greenville" 
send_draw_projected_icon_text XTo= 0.000 YTo= 51.500     "Greenwich" 
send_draw_projected_icon_text XTo= -90.367 YTo= 14.633   "Guatemala City" 
send_draw_projected_icon_text XTo= -89.093 YTo= 30.368   "Gulfport" 
send_draw_projected_icon_text XTo= -63.574 YTo= 44.649   "Halifax Nova Scotia" 
send_draw_projected_icon_text XTo= 9.933 YTo= 53.600     "Hamburg" 
send_draw_projected_icon_text XTo= -84.563 YTo= 39.400   "Hamilton" 
send_draw_projected_icon_text XTo= 10.250 YTo= 51.583    "Hannover" 
send_draw_projected_icon_text XTo= 31.050 YTo= -17.833   "Harare" 
send_draw_projected_icon_text XTo= -76.883 YTo= 40.262   "Harrisburg" 
send_draw_projected_icon_text XTo= -72.680 YTo= 41.770   "Hartford" 
send_draw_projected_icon_text XTo= -112.040 YTo= 46.592  "Helena" 
send_draw_projected_icon_text XTo= 24.833 YTo= 60.167    "Helsinki" 
send_draw_projected_icon_text XTo= 147.333 YTo= -42.833  "Hobart Tas" 
send_draw_projected_icon_text XTo= -72.610 YTo= 42.208   "Holyoke" 
send_draw_projected_icon_text XTo= -157.860 YTo= 21.306  "Honolulu" 
send_draw_projected_icon_text XTo= -95.360 YTo= 29.757   "Houston" 
send_draw_projected_icon_text XTo= -82.442 YTo= 38.420   "Huntington" 
send_draw_projected_icon_text XTo= -86.589 YTo= 34.738   "Huntsville" 
send_draw_projected_icon_text XTo= -86.163 YTo= 39.769   "Indianapolis" 
send_draw_projected_icon_text XTo= -91.531 YTo= 41.660   "Iowa City" 
send_draw_projected_icon_text XTo= -84.406 YTo= 42.245   "Jackson" 
send_draw_projected_icon_text XTo= -90.185 YTo= 32.299   "Jackson" 
send_draw_projected_icon_text XTo= -81.662 YTo= 30.329   "Jacksonville" 
send_draw_projected_icon_text XTo= 106.833 YTo= -6.183   "Jakarta" 
send_draw_projected_icon_text XTo= -74.066 YTo= 40.731   "Jersey City" 
send_draw_projected_icon_text XTo= 35.217 YTo= 31.783    "Jerusalem" 
send_draw_projected_icon_text XTo= 28.033 YTo= -26.167   "Johannesburg" 
send_draw_projected_icon_text XTo= -78.917 YTo= 40.326   "Johnstown" 
send_draw_projected_icon_text XTo= -94.500 YTo= 37.091   "Joplin" 
send_draw_projected_icon_text XTo= -134.408 YTo= 58.303  "Juneau" 
send_draw_projected_icon_text XTo= -85.587 YTo= 42.291   "Kalamazoo" 
send_draw_projected_icon_text XTo= -94.640 YTo= 39.118   "Kansas City" 
send_draw_projected_icon_text XTo= -94.589 YTo= 39.132   "Kansas City" 
send_draw_projected_icon_text XTo= -87.836 YTo= 42.595   "Kenosha" 
send_draw_projected_icon_text XTo= 151.217 YTo= -33.867  "Kensington NSW" 
send_draw_projected_icon_text XTo= -81.803 YTo= 24.558   "Key West" 
send_draw_projected_icon_text XTo= -83.919 YTo= 35.961   "Knoxville" 
send_draw_projected_icon_text XTo= 101.700 YTo= 3.133    "Kuala Lumpur" 
send_draw_projected_icon_text XTo= -86.894 YTo= 40.420   "Lafayette" 
send_draw_projected_icon_text XTo= -76.308 YTo= 40.040   "Lancaster" 
send_draw_projected_icon_text XTo= -84.554 YTo= 42.734   "Lansing" 
send_draw_projected_icon_text XTo= -99.508 YTo= 27.506   "Laredo" 
send_draw_projected_icon_text XTo= -115.144 YTo= 36.172  "Las Vegas" 
send_draw_projected_icon_text XTo= -71.169 YTo= 42.704   "Lawrence" 
send_draw_projected_icon_text XTo= 30.250 YTo= 59.917    "Leningrad" 
send_draw_projected_icon_text XTo= -84.496 YTo= 38.047   "Lexington" 
send_draw_projected_icon_text XTo= -84.106 YTo= 40.743   "Lima" 
send_draw_projected_icon_text XTo= -96.704 YTo= 40.816   "Lincoln" 
send_draw_projected_icon_text XTo= -9.133 YTo= 38.717    "Lisbon" 
send_draw_projected_icon_text XTo= -92.277 YTo= 34.745   "Little Rock" 
send_draw_projected_icon_text XTo= -0.183 YTo= 51.508    "London" 
send_draw_projected_icon_text XTo= -118.188 YTo= 33.771  "Long Beach" 
send_draw_projected_icon_text XTo= -82.180 YTo= 41.468   "Lorain" 
send_draw_projected_icon_text XTo= -118.241 YTo= 34.054  "Los Angeles" 
send_draw_projected_icon_text XTo= -85.764 YTo= 38.246   "Louisville" 
send_draw_projected_icon_text XTo= -71.321 YTo= 42.640   "Lowell" 
send_draw_projected_icon_text XTo= -101.842 YTo= 33.585  "Lubbock" 
send_draw_projected_icon_text XTo= 13.300 YTo= 56.150    "Lund" 
send_draw_projected_icon_text XTo= 6.150 YTo= 49.617     "Luxembourg" 
send_draw_projected_icon_text XTo= -83.627 YTo= 32.837   "Macon" 
send_draw_projected_icon_text XTo= -89.382 YTo= 43.073   "Madison" 
send_draw_projected_icon_text XTo= -3.700 YTo= 40.417    "Madrid" 
send_draw_projected_icon_text XTo= -88.333 YTo= 12.167   "Managua" 
send_draw_projected_icon_text XTo= -71.461 YTo= 42.991   "Manchester" 
send_draw_projected_icon_text XTo= -94.383 YTo= 32.550   "Marshall" 
send_draw_projected_icon_text XTo= 144.967 YTo= -37.800  "Melbourne Vic" 
send_draw_projected_icon_text XTo= -90.054 YTo= 35.146   "Memphis" 
send_draw_projected_icon_text XTo= -72.792 YTo= 41.535   "Meriden" 
send_draw_projected_icon_text XTo= -80.192 YTo= 25.777   "Miami" 
send_draw_projected_icon_text XTo= 9.186 YTo= 45.443     "Milano" 
send_draw_projected_icon_text XTo= -87.904 YTo= 43.039   "Milwaukee" 
send_draw_projected_icon_text XTo= -93.262 YTo= 44.983   "Minneapolis" 
send_draw_projected_icon_text XTo= -101.294 YTo= 48.236  "Minot" 
send_draw_projected_icon_text XTo= -88.042 YTo= 30.693   "Mobile" 
send_draw_projected_icon_text XTo= -90.514 YTo= 41.509   "Moline" 
send_draw_projected_icon_text XTo= -86.309 YTo= 32.376   "Montgomery" 
send_draw_projected_icon_text XTo= -72.578 YTo= 44.260   "Montpelier" 
send_draw_projected_icon_text XTo= -73.567 YTo= 45.507   "Montreal Quebec" 
send_draw_projected_icon_text XTo= 79.917 YTo= 6.750     "Moratuwa" 
send_draw_projected_icon_text XTo= 37.700 YTo= 55.750    "Moscow" 
send_draw_projected_icon_text XTo= -85.388 YTo= 40.191   "Muncie" 
send_draw_projected_icon_text XTo= 11.950 YTo= 48.233    "Munich" 
send_draw_projected_icon_text XTo= -86.782 YTo= 36.159   "Nashville" 
send_draw_projected_icon_text XTo= -91.392 YTo= 31.563   "Natchez" 
send_draw_projected_icon_text XTo= -70.928 YTo= 41.637   "New Bedford" 
send_draw_projected_icon_text XTo= -72.783 YTo= 41.669   "New Britain" 
send_draw_projected_icon_text XTo= 77.200 YTo= 28.633    "New Delhi" 
send_draw_projected_icon_text XTo= -72.925 YTo= 41.307   "New Haven" 
send_draw_projected_icon_text XTo= -90.069 YTo= 29.948   "New Orleans" 
send_draw_projected_icon_text XTo= -73.994 YTo= 40.752   "New York" 
send_draw_projected_icon_text XTo= -74.172 YTo= 40.737   "Newark" 
send_draw_projected_icon_text XTo= 151.817 YTo= -32.867  "Newcastle NSW" 
send_draw_projected_icon_text XTo= -79.057 YTo= 43.093   "Niagara Falls" 
send_draw_projected_icon_text XTo= -76.289 YTo= 36.853   "Norfolk" 
verbose
send_draw_projected_icon_text XTo= -122.265 YTo= 37.801  "Oakland" 
verbose
send_draw_projected_icon_text XTo= -111.973 YTo= 41.225  "Ogden" 
send_draw_projected_icon_text XTo= -97.518 YTo= 35.474   "Oklahoma City" 
send_draw_projected_icon_text XTo= -95.937 YTo= 41.262   "Omaha" 
send_draw_projected_icon_text XTo= -81.377 YTo= 28.545   "Orlando" 
send_draw_projected_icon_text XTo= 10.750 YTo= 59.917    "Oslo" 
send_draw_projected_icon_text XTo= -75.650 YTo= 45.400   "Ottawa Ontario" 
send_draw_projected_icon_text XTo= -88.432 YTo= 37.087   "Paducah" 
send_draw_projected_icon_text XTo= 2.337 YTo= 48.837     "Paris" 
send_draw_projected_icon_text XTo= -118.145 YTo= 34.146  "Pasadena" 
send_draw_projected_icon_text XTo= -74.173 YTo= 40.917   "Paterson" 
send_draw_projected_icon_text XTo= -87.216 YTo= 30.414   "Pensacola" 
send_draw_projected_icon_text XTo= -89.592 YTo= 40.695   "Peoria" 
send_draw_projected_icon_text XTo= -75.156 YTo= 39.949   "Philadelphia" 
send_draw_projected_icon_text XTo= -112.074 YTo= 33.453  "Phoenix" 
send_draw_projected_icon_text XTo= -100.348 YTo= 44.372  "Pierre" 
send_draw_projected_icon_text XTo= -80.000 YTo= 40.489   "Pittsburgh" 
send_draw_projected_icon_text XTo= -73.254 YTo= 42.448   "Pittsfield" 
send_draw_projected_icon_text XTo= -112.450 YTo= 42.861  "Pocatello" 
send_draw_projected_icon_text XTo= -93.938 YTo= 29.875   "Port Arthur" 
send_draw_projected_icon_text XTo= -70.255 YTo= 43.659   "Portland" 
send_draw_projected_icon_text XTo= -122.676 YTo= 45.518  "Portland" 
send_draw_projected_icon_text XTo= -70.757 YTo= 43.075   "Portsmouth" 
send_draw_projected_icon_text XTo= -76.304 YTo= 36.835   "Portsmouth" 
send_draw_projected_icon_text XTo= 14.400 YTo= 50.083    "Prague" 
send_draw_projected_icon_text XTo= 28.033 YTo= -26.167   "Pretoria" 
send_draw_projected_icon_text XTo= -71.411 YTo= 41.826   "Providence" 
send_draw_projected_icon_text XTo= -111.657 YTo= 40.235  "Provo" 
send_draw_projected_icon_text XTo= -104.609 YTo= 38.271  "Pueblo" 
send_draw_projected_icon_text XTo= -87.787 YTo= 42.730   "Racine" 
send_draw_projected_icon_text XTo= -78.639 YTo= 35.777   "Raleigh" 
send_draw_projected_icon_text XTo= -103.220 YTo= 44.081  "Rapid City" 
send_draw_projected_icon_text XTo= -75.928 YTo= 40.336   "Reading" 
send_draw_projected_icon_text XTo= -119.811 YTo= 39.524  "Reno" 
send_draw_projected_icon_text XTo= -21.937 YTo= 64.130   "Reykjavik" 
send_draw_projected_icon_text XTo= -77.436 YTo= 37.537   "Richmond" 
send_draw_projected_icon_text XTo= -43.223 YTo= -22.895  "Rio de Janeiro" 
send_draw_projected_icon_text XTo= -79.946 YTo= 37.270   "Roanoke" 
send_draw_projected_icon_text XTo= -92.467 YTo= 44.022   "Rochester" 
send_draw_projected_icon_text XTo= -77.606 YTo= 43.161   "Rochester" 
send_draw_projected_icon_text XTo= -89.097 YTo= 42.269   "Rockford" 
send_draw_projected_icon_text XTo= 12.500 YTo= 41.883    "Rome" 
send_draw_projected_icon_text XTo= -121.495 YTo= 38.583  "Sacramento" 
send_draw_projected_icon_text XTo= -83.935 YTo= 43.431   "Saginaw" 
send_draw_projected_icon_text XTo= -94.173 YTo= 45.567   "Saint Cloud" 
send_draw_projected_icon_text XTo= -94.851 YTo= 39.766   "Saint Joseph" 
send_draw_projected_icon_text XTo= -90.206 YTo= 38.629   "Saint Louis" 
send_draw_projected_icon_text XTo= 153.011 YTo= -27.501  "Saint Lucia Qld" 
send_draw_projected_icon_text XTo= -93.102 YTo= 44.955   "Saint Paul" 
send_draw_projected_icon_text XTo= -82.639 YTo= 27.772   "Saint Petersburg" 
send_draw_projected_icon_text XTo= -123.033 YTo= 44.940  "Salem" 
send_draw_projected_icon_text XTo= -97.613 YTo= 38.843   "Salina" 
send_draw_projected_icon_text XTo= -111.891 YTo= 40.756  "Salt Lake City" 
send_draw_projected_icon_text XTo= 16.617 YTo= 48.050    "Salzburg" 
send_draw_projected_icon_text XTo= -100.434 YTo= 31.461  "San Angelo" 
send_draw_projected_icon_text XTo= -98.485 YTo= 29.427   "San Antonio" 
send_draw_projected_icon_text XTo= -117.291 YTo= 34.108  "San Bernardino" 
send_draw_projected_icon_text XTo= -117.156 YTo= 32.715  "San Diego" 
send_draw_projected_icon_text XTo= -122.411 YTo= 37.778  "San Francisco" 
send_draw_projected_icon_text XTo= -121.890 YTo= 37.338  "San Jose" 
send_draw_projected_icon_text XTo= -119.699 YTo= 34.422  "Santa Barbara" 
send_draw_projected_icon_text XTo= -122.022 YTo= 36.972  "Santa Cruz" 
send_draw_projected_icon_text XTo= -105.936 YTo= 35.686  "Santa Fe" 
send_draw_projected_icon_text XTo= -70.550 YTo= -33.450  "Santiago" 
send_draw_projected_icon_text XTo= -69.950 YTo= 18.500   "Santo Domingo" 
send_draw_projected_icon_text XTo= 141.333 YTo= 43.067   "Sapporo" 
send_draw_projected_icon_text XTo= -82.542 YTo= 27.335   "Sarasota" 
send_draw_projected_icon_text XTo= -81.094 YTo= 32.078   "Savannah" 
send_draw_projected_icon_text XTo= -73.928 YTo= 42.812   "Schenectady" 
send_draw_projected_icon_text XTo= -75.663 YTo= 41.409   "Scranton" 
send_draw_projected_icon_text XTo= -122.337 YTo= 47.609  "Seattle" 
send_draw_projected_icon_text XTo= 40.000 YTo= 43.667    "Sebastopol" 
send_draw_projected_icon_text XTo= -87.714 YTo= 43.751   "Sheboygan" 
send_draw_projected_icon_text XTo= -106.953 YTo= 44.799  "Sheridan" 
send_draw_projected_icon_text XTo= -93.749 YTo= 32.513   "Shreveport" 
send_draw_projected_icon_text XTo= 103.833 YTo= 1.417    "Singapore" 
send_draw_projected_icon_text XTo= -96.408 YTo= 42.496   "Sioux City" 
send_draw_projected_icon_text XTo= -96.726 YTo= 43.543   "Sioux Falls" 
send_draw_projected_icon_text XTo= 23.300 YTo= 42.667    "Sofia" 
send_draw_projected_icon_text XTo= -71.102 YTo= 42.388   "Somerville" 
send_draw_projected_icon_text XTo= -86.250 YTo= 41.676   "South Bend" 
send_draw_projected_icon_text XTo= -81.935 YTo= 34.951   "Spartanburg" 
send_draw_projected_icon_text XTo= -117.426 YTo= 47.659  "Spokane" 
send_draw_projected_icon_text XTo= -89.647 YTo= 39.799   "Springfield" 
send_draw_projected_icon_text XTo= -72.592 YTo= 42.106   "Springfield" 
send_draw_projected_icon_text XTo= -93.292 YTo= 37.217   "Springfield" 
send_draw_projected_icon_text XTo= -83.808 YTo= 39.927   "Springfield" 
send_draw_projected_icon_text XTo= -73.540 YTo= 41.052   "Stamford" 
send_draw_projected_icon_text XTo= -80.615 YTo= 40.362   "Steubenville" 
send_draw_projected_icon_text XTo= 18.100 YTo= 59.583    "Stockholm" 
send_draw_projected_icon_text XTo= -121.288 YTo= 37.958  "Stockton" 
send_draw_projected_icon_text XTo= 9.183 YTo= 48.767     "Stuttgart" 
send_draw_projected_icon_text XTo= -92.102 YTo= 46.721   "Superior" 
send_draw_projected_icon_text XTo= 151.200 YTo= -33.867  "Sydney NSW" 
send_draw_projected_icon_text XTo= -76.154 YTo= 43.051   "Syracuse" 
send_draw_projected_icon_text XTo= -122.438 YTo= 47.250  "Tacoma" 
send_draw_projected_icon_text XTo= 121.517 YTo= 25.033   "Taipei" 
send_draw_projected_icon_text XTo= -84.282 YTo= 30.442   "Tallahassee" 
send_draw_projected_icon_text XTo= 24.750 YTo= 59.450    "Tallinn" 
send_draw_projected_icon_text XTo= -82.457 YTo= 27.949   "Tampa" 
send_draw_projected_icon_text XTo= -87.407 YTo= 39.467   "Terre Haute" 
send_draw_projected_icon_text XTo= -94.042 YTo= 33.430   "Texarkana" 
send_draw_projected_icon_text XTo= 139.750 YTo= 35.750   "Tokyo" 
send_draw_projected_icon_text XTo= -83.544 YTo= 41.654   "Toledo" 
send_draw_projected_icon_text XTo= -95.673 YTo= 39.054   "Topeka" 
send_draw_projected_icon_text XTo= -79.383 YTo= 43.653   "Toronto Ontario" 
send_draw_projected_icon_text XTo= -74.770 YTo= 40.221   "Trenton" 
send_draw_projected_icon_text XTo= -73.683 YTo= 42.729   "Troy" 
send_draw_projected_icon_text XTo= -110.969 YTo= 32.221  "Tucson" 
send_draw_projected_icon_text XTo= -95.993 YTo= 36.153   "Tulsa" 
verbose
send_draw_projected_icon_text XTo= -88.202 YTo= 40.112   "Urbana" 
verbose
send_draw_projected_icon_text XTo= -75.226 YTo= 43.103   "Utica" 
send_draw_projected_icon_text XTo= 27.950 YTo= 43.200    "Varna" 
send_draw_projected_icon_text XTo= 2.117 YTo= 48.833     "Versailles" 
send_draw_projected_icon_text XTo= -123.417 YTo= 48.500  "Victoria British Columbia" 
send_draw_projected_icon_text XTo= 16.367 YTo= 48.200    "Vienna" 
send_draw_projected_icon_text XTo= -97.133 YTo= 31.553   "Waco" 
send_draw_projected_icon_text XTo= -118.340 YTo= 46.069  "Walla Walla" 
send_draw_projected_icon_text XTo= 21.000 YTo= 52.250    "Warsaw" 
send_draw_projected_icon_text XTo= -77.009 YTo= 38.898   "Washington" 
send_draw_projected_icon_text XTo= -73.042 YTo= 41.554   "Waterbury" 
send_draw_projected_icon_text XTo= -92.339 YTo= 42.494   "Waterloo" 
send_draw_projected_icon_text XTo= 174.769 YTo= -41.290  "Wellington" 
send_draw_projected_icon_text XTo= -80.052 YTo= 26.710   "West Palm Beach" 
send_draw_projected_icon_text XTo= -80.722 YTo= 40.067   "Wheeling" 
send_draw_projected_icon_text XTo= -73.763 YTo= 41.033   "White Plains" 
send_draw_projected_icon_text XTo= -98.491 YTo= 33.909   "Wichita Falls" 
send_draw_projected_icon_text XTo= -97.338 YTo= 37.692   "Wichita" 
send_draw_projected_icon_text XTo= -75.888 YTo= 41.242   "Wilkes-Barre" 
send_draw_projected_icon_text XTo= -75.548 YTo= 39.746   "Wilmington" 
send_draw_projected_icon_text XTo= -77.949 YTo= 34.237   "Wilmington" 
send_draw_projected_icon_text XTo= -97.117 YTo= 49.833   "Winnipeg Manitoba" 
send_draw_projected_icon_text XTo= -80.245 YTo= 36.098   "Winston-Salem" 
send_draw_projected_icon_text XTo= 150.900 YTo= -34.400  "Wollongong NSW" 
send_draw_projected_icon_text XTo= -71.805 YTo= 42.260   "Worcester" 
send_draw_projected_icon_text XTo= -120.511 YTo= 46.602  "Yakima" 
send_draw_projected_icon_text XTo= -73.898 YTo= 40.932   "Yonkers" 
send_draw_projected_icon_text XTo= -76.727 YTo= 39.960   "York" 
send_draw_projected_icon_text XTo= -80.651 YTo= 41.099   "Youngstown" 
send_draw_projected_icon_text XTo= -114.623 YTo= 32.715  "Yuma" 
send_draw_projected_icon_text XTo= -82.008 YTo= 39.938   "Zanesville" 
verbose
send_draw_projected_icon_text XTo= 8.551 YTo= 47.378     "Zurich" 
verbose
