# LOAD AN IMAGE AND CREATE SIMPLE FILES (RAW FILES LINES BY COLUMNS)
#===================================================================
verbose

send_set_verbose

set_workpace_geometry PlaneWidth=1000 PlaneHeight=1000  DataType=CHAR CellWidth=1000 CellHeight=1000

send_show_view ViewPlane=3

send_clear_area Plane=3 X=100 Y=200 Width=800 Height=800

send_system "cc ../DEMO_DRAW/send_draw_com.c -o ../DEMO_DRAW/send_draw_com -lm;../DEMO_DRAW/send_draw_com MYIMAGE"

send_read_simple Plane=3 X=100 Y=200 Width=512 Height=512 DataWidth=512  DataType=CHAR [CHAR] Expand=No  \
		FileName= "MYIMAGE"

send_write_simple Plane=3 X=100 Y=200 Width=512 Height=512 DataType=4 Swap=No \
         Convert=No Min=0.0 Max=0.0 Range=0  FileName="SF_FLOAT"

send_write_simple Plane=3 X=100 Y=200 Width=512 Height=512 DataType=4 Swap=No \
         Convert=Yes Min=0.0 Max=0.0 Range=1024  FileName="SF_FLOAT"

send_write_simple Plane=3 X=100 Y=200 Width=512 Height=512 DataType=1 Swap=No \
         Convert=Yes Min=0.0 Max=0.0 Range=1000  FileName="SF_USHORT"

send_write_simple Plane=3 X=100 Y=200 Width=512 Height=512 DataType=1 Swap=No \
         Convert=Yes Min=0.0 Max=160. Range=1000.0  FileName="SF_USHORT1000"

send_write_simple Plane=3 X=100 Y=200 Width=512 Height=512 DataType=1 Swap=Yes \
         Convert=Yes Min=0.0 Max=0.0 Range=1000  FileName="SF_USHORT_S"

send_write_simple Plane=3 X=100 Y=200 Width=512 Height=512 DataType=3 Swap=Yes \
         Convert=Yes Min=0.0 Max=0.0 Range=2048.0  FileName="SF_UINT_S"

send_write_simple Plane=3 X=100 Y=200 Width=512 Height=512 DataType=0 Swap=No \
         Convert=Yes Min=0.0 Max=0.0 Range=0  FileName="SF_UCHAR"

send_unset_verbose

send_stop
