#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>

#define TRUE        1
#define FALSE       0


/*========================================================================
		send_create_mask                                Fill the mask plane from data pixel intervals
		[call send_create_mask_f]
			(Y,Y,Width,Height,Do,AddMode,InversMask,Color,text)
			int X 					Output  geometry
			int Y
			int Width 
			int Height 
			int Do                        		[T,F] Do a AND or an OR between intervals  
			int AddMode                    		[T,F] Keep existing mask pixels
			int InversMask                		[T,F] Invert mask result
			char *Color 	                   	Mask color "CYAN"
			char *text				Filter as  data_value < Plane < data_value etc..  
=======================================================================*/

main(argc, argv)
int      argc;
char    **argv;
{ 

  printf("Send clear graph area\n");
  send_set_verbose();


  send_show_view(3);

  send_clear_mask(0,0,512,512);

  send_create_mask(0,0,512,512,"OR",FALSE,FALSE,"YELLOW",
    " 0 <3 <64  168 <3 <255 ");

/*
  send_create_mask(0,0,512,512,"OR",FALSE,FALSE,"YELLOW",
    " 0<3 <   64        168<3<255");
  send_create_mask(0,0,512,512,"OR",TRUE,FALSE,"BLUE",
    "       168<3<255");
    */

  send_unset_verbose();

}
