#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>

#define TRUE        1
#define FALSE       0
float paramF[] = {0.0,0.0,0.0, 0.0,0.0,0.0, 0.0,0.0};
float paramT[] = {0.0,0.0,0.0, 0.0,0.0,0.0, 0.0,0.0};

main(argc, argv)
int      argc;
char    **argv;
{

  /* FROM image position (line,column)*/
  int xf=0,  yf=0,  widthf=1000,  heighf=500,  planef=1;

  /* TO image position (line,column)*/
  int xt=1000,  yt=500,  widtht=1000,  height=500,  planet=3;

  /* FROM geometry */
  float ymif=-90,  ymaf=90,  xmif=-180,  xmaf=180;

  /* TO geometry */
  /*float ymit=0,  ymat=3240,  xmit=0,  xmat=6480;*/
  float ymit=-90,  ymat=90,  xmit=-180,  xmat=180;

  /* GRIDS geometry */
  float ymi=-90,  yma=90,  ystep=5,  xmi=-180,  xma=180,  xstep=10;

  printf("Send clear graph area\n");
  send_clear_all(planet,xt,yt,widtht,height);

  set_projection_to_geometry(xt,yt,widtht,height,"LINEAR",
			ymit,ymat,xmit,xmat,paramT);
  printf("Send draw LINEAR grids\n");
  send_grids(ymi,yma,ystep,xmi,xma,xstep,"BLUE",0,1);


  printf("Send HAMMER projection\n");
  paramT[3] = -120; /*center longitude shift*/
  set_projection_to_geometry(xt,yt,widtht,height,"HAMMER",
			ymit,ymat,xmit,xmat,paramT);

  send_projection(FALSE,planet,planef,xf,yf,widthf,heighf,"LINEAR",
		ymif,ymaf,xmif,xmaf,paramF);

  printf("Send draw HAMMER grids\n");
  send_grids(ymi,yma,ystep,xmi,xma,xstep,"RED",0,1);

  printf("Send draw HAMMER map\n");
  send_world_map("GREEN",0,1,1);
}
